import React from 'react';
import type { MapBoundaries } from './specs/NativeAirMapsModule';
import type { MapFabricNativeProps, Camera, Point } from './specs/NativeComponentMapView';
import { LatLng, Region } from './sharedTypes';
import { Address, EdgePadding, SnapshotOptions } from './MapView.types';
export interface FabricMapHandle {
    getCamera: () => Promise<Camera>;
    setCamera: (camera: Partial<Camera>) => void;
    animateToRegion: (region: Region, duration: number) => void;
    animateCamera: (camera: Partial<Camera>, duration: number) => void;
    getMarkersFrames: (onlyVisible: boolean) => Promise<unknown>;
    fitToElements: (edgePadding: EdgePadding, animated: boolean) => void;
    fitToSuppliedMarkers: (markers: string[], edgePadding: EdgePadding, animated: boolean) => void;
    fitToCoordinates: (coordinates: LatLng[], edgePadding: EdgePadding, animated: boolean) => void;
    getMapBoundaries: () => Promise<MapBoundaries>;
    takeSnapshot: (config: SnapshotOptions) => Promise<string>;
    getAddressFromCoordinates: (coordinate: LatLng) => Promise<Address>;
    getPointForCoordinate: (coordinate: LatLng) => Promise<Point>;
    getCoordinateForPoint: (point: Point) => Promise<LatLng>;
}
export declare const FabricMap: React.ForwardRefExoticComponent<MapFabricNativeProps & React.RefAttributes<FabricMapHandle>>;
export default FabricMap;
